package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.charts.TCoreChartsEight;
import com.chenyang.nse.bussiness.entity.orm.table.core.charts.TCoreChartsFive;
import com.chenyang.nse.bussiness.entity.orm.table.core.charts.TCoreChartsFour;
import com.chenyang.nse.bussiness.entity.orm.table.core.charts.TCoreChartsOne;
import com.chenyang.nse.bussiness.entity.orm.table.core.charts.TCoreChartsSeven;
import com.chenyang.nse.bussiness.entity.orm.table.core.charts.TCoreChartsSix;
import com.chenyang.nse.bussiness.entity.orm.table.core.charts.TCoreChartsThree;
import com.chenyang.nse.bussiness.entity.orm.table.core.charts.TCoreChartsTwo;
import com.chenyang.nse.bussiness.entity.orm.table.core.project.TCoreProjectInfo;
import com.chenyang.nse.bussiness.entity.vo.Releasecolumn;
import java.util.List;

public interface CoreProjectService {
   List<Releasecolumn> queryTcoreReleasecolumn(String projectid, String table);

   void saveTCoreChartsOne(TCoreChartsOne tCoreChartsOne);

   void saveTCoreChartsTwo(TCoreChartsTwo tCoreChartsTwo);

   void saveTCoreChartsThree(TCoreChartsThree tCoreChartsThree);

   void saveTCoreChartsFour(TCoreChartsFour tCoreChartsFour);

   void saveTCoreChartsFive(TCoreChartsFive tCoreChartsFive);

   void saveTCoreChartsSix(TCoreChartsSix tCoreChartsSix);

   void saveTCoreChartsSeven(TCoreChartsSeven tCoreChartsSeven);

   void saveTCoreChartsEight(TCoreChartsEight tCoreChartseight);

   List<TCoreChartsOne> queryTCoreChartsOne(List<String> projectidlist);

   List<TCoreChartsSeven> queryTCoreChartsSeven(List<String> projectidlist);

   List<TCoreChartsEight> queryTCoreChartsEight(List<String> projectidlist);

   List<TCoreChartsTwo> queryTCoreChartsTwo(List<String> projectidlist);

   List<TCoreChartsThree> queryTCoreChartsThree(List<String> projectidlist);

   List<TCoreChartsFour> queryTCoreChartsFour(List<String> projectidlist);

   List<TCoreChartsFive> queryTCoreChartsFive(List<String> projectidlist);

   List<TCoreChartsSix> queryTCoreChartsSix(List<String> projectidlist);

   List<TCoreProjectInfo> query(String flag);

   void save(TCoreProjectInfo tCoreProjectInfo);

   void update(TCoreProjectInfo tCoreProjectInfo);

   void remove(String id);

   void removeByProjectid(String projectid);

   List<TCoreProjectInfo> queryAll(PageInfo pageInfo, String projectname);

   List<TCoreProjectInfo> queryAll();

   void createsqlstr(StringBuilder sql);

   List<TCoreProjectInfo> queryById(String id);

   List<TCoreProjectInfo> queryByName(String projectname);

   void removeAllChat(String projectname);

   TCoreProjectInfo queryProjectByProjectId(String projectid);
}
